<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 06/27/2013 *
 * ===================                          Last change: 06/27/2013 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : mode-update.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Payout extension                                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Auszahlung-Erweiterung                           *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// @TODO Remove double tabs from all lines
		switch (getCurrentExtensionVersion()) {
			case '0.1.2': // SQL queries for v0.1.2
				addAdminMenuSql('payouts', NULL, 'Auszahlungsmanagement','Management der Auszahlungsarten.',8);
				addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_admin_menu` SET `action`='payouts',`title`='Einstellungen' WHERE `action`='setup' AND `what`='config_payouts' LIMIT 1");

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Adminmen&uuml; hinzugef&uuml;gt.");
				break;

			case '0.1.3': // SQL queries for v0.1.3
				addExtensionAddTableColumnSql('payout_types', 'from_account', "VARCHAR(255) NOT NULL DEFAULT ''");
				addExtensionAddTableColumnSql('payout_types', 'from_pass', "VARCHAR(255) NOT NULL DEFAULT ''");
				addExtensionAddTableColumnSql('payout_types', 'engine_url', "VARCHAR(255) NOT NULL DEFAULT ''");
				addExtensionAddTableColumnSql('payout_types', 'engine_ret_ok', "VARCHAR(255) NOT NULL DEFAULT ''");
				addExtensionAddTableColumnSql('payout_types', 'engine_ret_failed', "VARCHAR(255) NOT NULL DEFAULT ''");
				addExtensionAddTableColumnSql('payout_types', 'pass_enc', "ENUM('md5','base64','none') NOT NULL DEFAULT 'md5'");

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Daten f&uuml;r API-Auszahlung hinzugef&uuml;gt.");
				break;

			case '0.1.4': // SQL queries for v0.1.4
				addExtensionAddTableColumnSql('user_payouts', 'password', "VARCHAR(255) NOT NULL DEFAULT ''");

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Passwort f&uuml;r Auszahlungsarten hinzugef&uuml;gt (API).");
				break;

			case '0.1.5': // SQL queries for v0.1.5
				addExtensionAddTableColumnSql('user_payouts', 'target_url', 'LONGTEXT NOT NULL');
				addExtensionAddTableColumnSql('user_payouts', 'banner_url', 'LONGTEXT NOT NULL');
				addExtensionAddTableColumnSql('user_payouts', 'link_text', "VARCHAR(30) NOT NULL DEFAULT ''");
				addExtensionAddTableColumnSql('payout_types', 'allow_url', "ENUM('Y','N') NOT NULL DEFAULT 'N'");

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Daten f&uuml;r Banner und Textlink hinzugef&uuml;gt (eventuell durch ext-clickbanner veraltet).");
				break;

			case '0.1.6': // SQL queries for v0.1.6
				addExtensionChangeTableColumnSql('payout_types', 'pass_enc', 'pass_enc', "ENUM('md5','base64','xxx') NOT NULL DEFAULT 'xxx'");

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Passwortverschl&uuml;sselung hinzugef&uuml;gt.");
				break;

			case '0.1.8': // SQL queries for v0.1.8
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Auflistung der Auszahlungen ausgelagert in Template <span class=\"bad\">member_payout.tpl</span>.");
				break;

			case '0.1.9': // SQL queries for v0.1.9
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Fehler beseitigt, wenn error_reporting=E_ALL gesetzt ist.");
				break;

			case '0.2.0': // SQL queries for v0.2.0
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("5 Nachkommastellen implementiert.");
				break;

			case '0.2.1': // SQL queries for v0.2.1
				addExtensionChangeTableColumnSql('user_payouts', 'payout_total', 'payout_total', 'FLOAT(20,5) UNSIGNED NOT NULL DEFAULT 0.00000');
				addExtensionChangeTableColumnSql('payout_types', 'rate', 'rate', 'FLOAT(20,5) UNSIGNED NOT NULL DEFAULT 0.00000');

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Problem mit Speicherung der Einstellungen beseitigt.");
				break;

			case '0.2.2': // SQL queries for v0.2.2
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Buttons aus Aufgabenauflisten ausgelagert");
				break;

			case '0.2.3': // SQL queries for v0.2.3
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Men&uuml;punkte im Gast-/Mitgliedsbereich k&ouml;nnen nicht mehr aufgerufen werden, wenn die Erweiterung deaktiviert ist.");
				break;

			case '0.2.4': // SQL queries for v0.2.4
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Ausgabe der Auszahlungsm&ouml;glichkeiten im Mitgliedsbereich repariert.");
				break;

			case '0.2.5': // SQL queries for v0.2.5
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Seit <strong>Patch 340</strong> &uuml;berfl&uuml;ssige HTML-Tags entfernt.");
				break;

			case '0.2.6': // SQL queries for v0.2.6
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("IP-Nummer und Browserbezeichnung wird in Admin-Mails eingesetzt.");
				break;

			case '0.2.7': // SQL queries for v0.2.7
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Link zum Mitgliedsprofil in Funktion <u>generateUserProfileLink()</u> ausgelagert.");
				break;

			case '0.2.8': // SQL queries for v0.2.8
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Work-Arount-L&ouml;sung zu tempor&auml;ren Problemen mit der Task-Id eingebaut.");
				break;

			case '0.2.9': // SQL queries for v0.2.9
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Nachricht an Admin bei Auszahlungsanfrage wird endlich versendet.");
				break;

			case '0.3.0': // SQL queries for v0.3.0
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("HTML-Code ausgelagert in Templates und SQL-Anweisungen abgesichert.");
				break;

			case '0.3.1': // SQL queries for v0.3.1
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Fehler in Auszahlungsfunktion beseitigt, wenn Umrechnungsrate ungleich 1 eingestellt ist.");
				break;

			case '0.3.2': // SQL queries for v0.3.2
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Abspeichern von Einstellungen repariert.");
				break;

			case '0.3.3': // SQL queries for v0.3.3
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Vorbereitung auf die neue Mediendaten v0.0.4.");
				break;

			case '0.3.4': // SQL queries for v0.3.4
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Anzahl zu &uuml;berweisende {?POINTS?} m&uuml;ssen immer gr&ouml;sser 0 sein, ansonsten bricht das Script mit einer Fehlermeldung an das Mitglied ab.");
				break;

			case '0.3.5': // SQL queries for v0.3.5
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Sicherheitsupdate f&uuml;r die Include-Befehle.");
				break;

			case '0.3.6': // SQL queries for v0.3.6
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Hash-Erstellung von <strong>md5()</strong> auf bessere Funktion <strong>generateHash()</strong> umgestellt.");
				break;

			case '0.3.7': // SQL queries for v0.3.7
				addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_admin_menu` SET `title`='Auszahlungsmanagement' WHERE `action`='payouts' AND (`what`='' OR `what` IS NULL) LIMIT 1");

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Verwaltung nach Management umgestellt.");
				break;

			case '0.3.8': // SQL queries for v0.3.8
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Fehlerhinweis bei deaktivierter Erweiterung verbessert.");
				break;
		} // END - switch

// [EOF]
?>
